diff --git a/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js b/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
index a53326b..1d248c7 100644
--- a/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/templates/sqleditor/js/sqleditor.js
@@ -1581,13 +1581,19 @@ define(
                   // Identify cell type of column.
                   switch(type) {
                     case "integer":
+                    case "bigint":
+                    case "smallint":
                       col_cell = 'integer';
                       break;
                     case "boolean":
                       col_cell = 'boolean';
                       break;
                     case "numeric":
-                      col_cell = 'number';
+                    case "double precision":
+                    case "real":
+                        col_cell = Backgrid.NumberCell.extend({
+                          formatter: Backgrid.StringFormatter
+                        });
                       break;
                     case "date":
                     case "reltime":
